# $Revision: 1.32 $, $Date: 2005/05/17 09:51:13 $
Summary:	Unix port of eMule client
Summary(pl):	Uniksowy port klienta eMule
Name:		xmule
Version:	1.9.4
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/xmule/%{name}-%{version}.tar.bz2
# Source0-md5:	6a466ba740b55e6d283622aa84570921
Patch0:		%{name}-pl_typos.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-types.patch
Patch3:		%{name}-locale_names.patch
Patch4:		%{name}-configure.patch
URL:		http://www.xmule.org/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.7.3
BuildRequires:	bison
BuildRequires:	expat-devel
BuildRequires:	gettext-devel >= 0.11.5
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	wxGTK2-devel >= 2.6.0
BuildRequires:	libstdc++-devel
Requires:	wget
Obsoletes:	aMule
Obsoletes:	lmule
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xMule is a Linux port of eMule client.

%description -l pl
xMule to linuksowy port klienta eMule.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

mv -f po/{ee,et}.po

%build
cp -f /usr/share/automake/config.sub .
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	--prefix=$RPM_BUILD_ROOT \
	--disable-debug-syms \
	--with-wx-config=/usr/bin/wx-gtk2-ansi-config 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir},%{_pixmapsdir}}
install {ed2k,xmule} $RPM_BUILD_ROOT%{_bindir}
install xmule.desktop $RPM_BUILD_ROOT%{_desktopdir}/xmule.desktop
install xmule.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/xmule.xpm
cd po
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
%{__make} install-data \
	DESTDIR=$RPM_BUILD_ROOT
cd ..

%find_lang xMule

%clean
rm -rf $RPM_BUILD_ROOT

%files -f xMule.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog ChangeLog-UNSTABLE README TODO
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmule.spec,v $
Revision 1.32  2005/05/17 09:51:13  speedy
- release 1, burn it baby...

Revision 1.31  2005/05/16 23:35:01  speedy
- new patch: configure (fix gtk+-devel dep, proper am_init)
- types patch is back (updated)
- rel. 0.2, builds for me.

Revision 1.30  2005/05/13 19:47:12  averne
- updated to 1.9.4
- NFY

Revision 1.29  2005/05/13 19:10:08  qboosh
- updated wx-config for wx 2.6.0, dropped gtk1 bcond

Revision 1.28  2004/12/25 18:04:57  qboosh
- automake epoch

Revision 1.27  2004/08/18 16:05:20  mguevara
- Upgrade to 1.9.0
- disabled optimizations and profiling information saving, no debug
- stability tests needed

Revision 1.26  2004/07/25 19:28:51  ankry
- fixed Estonian locale, rel. 3

Revision 1.25  2004/07/20 20:40:56  qboosh
- added types patch, release 2

Revision 1.24  2004/07/19 23:26:27  ankry
- stupid adapter: reversed

Revision 1.23  2004/07/19 23:11:01  undefine
- update to 1.8.4, adapterized

Revision 1.22  2004/07/14 20:58:39  qboosh
- use ?!with_ syntax instead of ?without_

Revision 1.21  2004/07/14 20:19:25  ankry
- desktop updated, new bconds, rel. 3

Revision 1.20  2004/07/04 21:15:01  adamg
- refresh config.sub

Revision 1.19  2004/07/04 20:45:30  adamg
- added desktop.patch (categories and polish comment); release 2

Revision 1.18  2004/04/26 15:54:48  pawelb
- up to 1.8.2

Revision 1.17  2004/03/25 00:48:16  andree
- removed applnkdir defs
- obsoletes aMule, rel.1

Revision 1.16  2004/03/06 15:32:33  mwinkler
- updated to 1.7.4c

Revision 1.15  2004/02/16 04:48:50  misi3k
- rel 1.1
- added pl typos patch

Revision 1.14  2004/02/13 16:27:43  misi3k
- updated to 1.7.3

Revision 1.13  2003/11/25 11:45:54  andree
- updated to 1.7.1

Revision 1.12  2003/11/20 00:44:23  andree
- add Conflicts: aMule (/usr/bin/ed2k)
- update to 1.7.0 (DESTDIR not included in makefile)

Revision 1.11  2003/10/17 19:37:40  misi3k
- updated to 1.6.1

Revision 1.10  2003/08/27 19:49:47  misi3k
- updated to 1.6.0
Note: NFY

Revision 1.9  2003/08/27 19:41:35  misi3k
- cosmetics

Revision 1.8  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.7  2003/08/03 20:47:10  misi3k
- updated to 1.5.6a

Revision 1.6  2003/07/11 17:36:23  misi3k
- updated to 1.5.5

Revision 1.5  2003/07/06 10:13:25  misi3k
- updated to 1.5.4

Revision 1.4  2003/06/22 21:02:20  misi3k
- updated to 1.5.2

Revision 1.3  2003/06/21 15:51:30  ciril
- Updated to 1.5.1
- Patch0 no longer needed (included in source)

Revision 1.2  2003/05/28 13:32:26  misi3k
- rel 1
- added gtkic.patch

Revision 1.1  2003/05/27 23:13:45  misi3k
- updated to 1.4.0
- rel 0.1
Note: NFY

Revision 1.37  2003/05/25 05:50:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2003/05/17 17:16:59  misi3k
- updated to 1.3.1

Revision 1.35  2003/05/16 07:02:50  misi3k
- updated to 1.3.0

Revision 1.34  2003/04/28 06:46:44  misi3k
- updated to 1.2.1
- removed gtk_read patch (not needed)

Revision 1.33  2003/04/27 10:56:38  misiek
- updated to 1.2.0.1

Revision 1.32  2003/04/25 16:41:39  misi3k
- rel 2
- added column size fix - patch

Revision 1.31  2003/04/21 19:29:03  jareq
- BR: expat-devel

Revision 1.30  2003/04/21 09:02:02  misi3k
- small fix (removed NEWS file from docs)

Revision 1.29  2003/04/21 08:57:55  misi3k
- updated to 1.2.0
- rel 1
- removed gcc & gtk2 patch (not needed)

Revision 1.28  2003/04/15 08:20:33  wiget
- use standard sf.net address
- switch to bz2 sources
- fix building with wxGTK2 from wxWindows.spec

Revision 1.27  2003/04/13 19:37:50  misiek
- wx-config is broken and doesn't define __WXGTK20__ symbol

Revision 1.26  2003/04/13 19:01:25  misiek
- more specific BR

Revision 1.25  2003/04/13 16:28:22  misiek
- fixed and changed to follow head (gtk2 etc)

Revision 1.24  2003/04/12 17:24:17  misi3k
- grrr fix to fix, patch2 removes only "read" from configure.in !!!
  DON'T TOUCH !!!!

Revision 1.23  2003/04/12 14:36:42  ciril
- Fixed bconds for patches

Revision 1.22  2003/04/12 13:19:52  misi3k
- rel 4
- fix interactive conf for gtk2 (split gtk2 patch)
- added gtk2_read patch

Revision 1.21  2003/04/06 15:20:31  ciril
- Fixed BR
- Use /usr/bin/wx-config

Revision 1.20  2003/04/06 14:03:56  ciril
- Added support for gtk+2 as a --with gtk2 bcond
- Added temporary polish translation fix
- rel 3
- Enabled code profiling

Revision 1.19  2003/04/04 17:03:14  ciril
- Build with code optimalization
- Removed patch1 (not needed)

Revision 1.18  2003/03/30 18:47:23  misi3k
- build fix (removed mv pixmap)
- rel 2

Revision 1.17  2003/03/30 18:15:10  misi3k
- updated to 1.1.13c

Revision 1.16  2003/03/29 20:53:40  ciril
- Rel 2
- Fixed BR
- Fixed install of lmule.xpm

Revision 1.15  2003/03/29 13:56:30  ciril
- Updated to 1.1.13
- Removed polish translation (already included in this version)
- Fixed source0 (bz2 now)

Revision 1.14  2003/03/25 19:32:23  misi3k
- rel 2
- added polish translations

Revision 1.13  2003/03/25 12:55:32  misi3k
- rel 1

Revision 1.12  2003/03/25 12:24:37  misi3k
- updated to 1.1.12

Revision 1.11  2003/03/23 11:42:29  misi3k
- s/#find_lang/find_lang/

Revision 1.10  2003/03/23 11:30:51  misi3k
- R: wget (to download servers list)

Revision 1.9  2003/03/22 22:43:52  misi3k
- updated to 1.1.11b

Revision 1.8  2003/03/17 09:01:07  djrzulf
- updated to 1.1.9, but still doesn't compile

Revision 1.7  2003/03/16 20:43:16  qboosh
- pl fix, use find_lang (but need to check name)

Revision 1.6  2003/03/14 18:17:43  wiget
- fix compilation with gcc 3.x
- BR wxGTK-devel not wxwin-devel

Revision 1.5  2003/03/12 23:29:54  mkierus
- fixed Source0

Revision 1.4  2003/03/12 23:20:19  mkierus
- updated to 1.1.8

Revision 1.3  2003/03/10 11:25:19  qboosh
- standardized Source0 URL

Revision 1.2  2003/03/08 08:48:31  djrzulf
- added BR, corrected Source0

Revision 1.1  2003/03/08 08:10:24  djrzulf
- initial spec file, still working
